Skip to main content
GET
/
inspiration-questions
Retrieve a list of inspiration questions
curl --request GET \
  --url https://app.heyoo.ai/api/inspiration-questions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "workspaceId": "<string>",
    "question": "<string>",
    "description": "<string>",
    "icon": "bulb",
    "userType": "thought_leader",
    "groups": [
      "<string>"
    ],
    "isActive": true,
    "archived": true,
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

Search inspiration questions by question or description.

userType
enum<string>

Filter inspiration questions by seat type.

Available options:
thought_leader,
advocate,
all
groupIds

Filter inspiration questions by group IDs (OR matching).

includeArchived
enum<boolean>

Whether to include archived inspiration questions.

Available options:
true,
false
active
enum<boolean>

Whether to filter by active/inactive inspiration questions.

Available options:
true,
false
forCurrentUser
enum<boolean>

Whether to return only inspiration questions available for the current user.

Available options:
true,
false
page
number
default:1

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:100

The number of items per page.

Required range: 0 < x <= 100
Example:

50

Response

A list of inspiration questions

id
string
required

The unique ID of the inspiration question.

workspaceId
string
required

The workspace ID the question belongs to.

question
string
required

The text of the inspiration question.

description
string | null
required

A helpful description or tooltip for the question.

icon
enum<string>
required

The icon name for the question.

Available options:
bulb,
sparkles,
message,
message-circle,
pencil,
writing,
book,
bookmark,
star,
heart,
target,
rocket,
briefcase,
building,
building-skyscraper,
home,
users,
user,
users-group,
speakerphone,
send,
mail,
brand-linkedin,
link,
world,
search,
calendar,
clock,
chart-bar,
chart-line,
chart-dots,
chart-pie,
trending-up,
trophy,
award,
bolt,
flame,
sun,
moon,
cloud,
camera,
microphone,
video,
photo,
file-text,
clipboard,
check,
circle-check,
help,
question-mark
userType
enum<string>
required

The user type that the question applies to.

Available options:
thought_leader,
advocate,
all
groups
string[]
required

Group IDs the question is assigned to.

isActive
boolean
required

Whether the question is active.

archived
boolean
required

Whether the question is archived.

createdAt
string
required

When the question was created.

updatedAt
string
required

When the question was last updated.